%define privuser qchat
%define privgroup qchat
%define privpath  /var/empty

Name: qchat
Version: 0.3
Release: alt0.1
Summary: Simple crossplatform LAN chat
License: GPLv2+
Group: Networking/Chat
Url: http://sourceforge.net/projects/q-chat/
Source0: %name-%version.tar.bz2
Source1: %name.desktop
Source2: %{name}d
Packager: Motsyo Gennadi <drool@altlinux.ru>

# Automatically added by buildreq on Sun Sep 16 2007 (-bi)
BuildRequires: ImageMagick gcc-c++ libqt4-devel libqt4-network

%description
QChat is a simple crossplatform LAN chat.
It is written using Qt4 so you can compile
it on any platform supported by Qt >= 4.3.

%package -n %name-server
Summary: %name server
Group: System/Servers

%description -n %name-server
Server for %name

%prep
%setup -q

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%make_install INSTALL_ROOT=%buildroot install
%__install -Dp -m 0644 %SOURCE1 %buildroot%_desktopdir/%name.desktop
%__install -Dp -m 0755 %SOURCE2 %buildroot%_initdir/%{name}d

%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 src/icons/tray-icon.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 src/icons/tray-icon.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 src/icons/tray-icon.png %buildroot%_miconsdir/%name.png

mkdir -p %buildroot/var/run/%name-server
# #mkdir -p %buildroot/var/log/%name-server

%pre -n %name-server
/usr/sbin/groupadd -r -f %privgroup
/usr/sbin/useradd -r -s /dev/null -g %privgroup -d %privpath >/dev/null -c 'QtChat daemon' %privuser >/dev/null 2>&1 ||:

%post
%update_menus

%post -n %name-server
%post_service %{name}d

%postun
%clean_menus

%files
%doc README
%_bindir/%name
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_datadir/%name

%files -n %name-server
%_bindir/%name-server
%_initdir/%{name}d
%dir %attr(2770,root,%name) /var/run/%name-server
# #%dir %attr(2770,root,%name) /var/log/%name-server

%changelog
* Sat Apr 26 2008 Motsyo Gennadi <drool@altlinux.ru> 0.3-alt0.1
- new version
- test build for Daedalus

* Sun Oct 14 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.2-alt0.M40.1
- new version

* Sun Sep 16 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.1-alt0.M40.1
- initial build for ALT Linux (M40)
